{% set TIPOIDENTCEDULA=constant('Core\\SeguridadBundle\\Entity\\Constantes::CT_TIPOIDENTCEDULA') %}
{% set TIPOIDENTNOIDENTIFICADO=constant('Core\\SeguridadBundle\\Entity\\Constantes::CT_TIPOIDENTNOIDENTIFICADO') %}
{% set MINIMO_CARACTERES_EXTRANJERO=constant('Hcue\\PacienteBundle\\Entity\\Constantes::MINIMO_CARACTERES_EXTRANJERO') %}
{% set MAXIMO_CARACTERES_EXTRANJERO=constant('Hcue\\PacienteBundle\\Entity\\Constantes::MAXIMO_CARACTERES_EXTRANJERO') %}
{% set MAXIMO_CARACTERES_NACIONAL=constant('Hcue\\PacienteBundle\\Entity\\Constantes::MAXIMO_CARACTERES_NACIONAL') %}

<div class="table-header">Ingrese un dato de búsqueda para el usuario</div>
<div class="col-md-12 width-100" style="margin: 20px 0;">
    <form id="formPacienteArchivoBusqueda" autocomplete='off' style="color: black;">
        <div class="row">
            <div class="col-md-4">
                <label style="font-size: 16px;">Búsqueda Avanzada</label>
            </div>
            <div class="col-md-4 left">
                <div class="input-group-btn">
                    <button id="boton-buscar-inicial" type="button"
                            class="btn btn-default btn-white btn-primary btn-bold dropdown-toggle"
                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
                        <span id="var_campo_busqueda" data-value="tipoidentificacion">Tipo de identificación</span>&nbsp;&nbsp;
                        <span class="caret"> </span>
                    </button>
                    <ul class="dropdown-menu">
                        <li><a href="#" onclick="showDivBusqueda($(this));" data-value="tipoidentificacion">Tipo de
                                identificación</a></li>
                        <li><a href="#" onclick="showDivBusqueda($(this));" data-value="nombreusuario">Nombre y
                                Apellido</a></li>
                    </ul>
                </div>
            </div>
            <div class="col-md-4 left">
                <button type="button" onclick="searchPacienteArhciDatatable();" class="btn_botonera btn btn-sm btn-success"
                        id="searchpacientedatatble-button">
                    <i class="ace-icon fa fa-search bigger-110"></i>
                </button>
                <button type="button" onclick="clearsearchPacienteArhciDatatable();" class="btn_botonera btn btn-sm btn-grey"
                        id="clean-button"
                        title="Limpiar">
                    <i class="ace-icon fa fa-eraser bigger-110"></i>
                </button>
            </div>
        </div>
        <div class="col-md-12 width-100">
            <div class="row" id="div_tipoidentificacion">
                <fieldset class="scheduler-border">
                    <legend class="scheduler-border">
                        Por tipo de identificación
                    </legend>
                    <div class="col-xs-6">
                        <div class="form-group">
                            <label class="control-label required">Tipo de Identificación
                                <i style="color:red" class="asterisk">*</i>
                            </label>
                            <select id="paciente_archivo_cttipoidentificacion" name="cttipoidentificacion"
                                    class="input-sm required form-control">
                                <option value="" >--Seleccione--</option>
                                {% for tipo in tipoidentificacion %}
                                    <option value="{{ tipo.id }}" {% if(tipo.id==TIPOIDENTCEDULA) %} selected{%endif%}>{{ tipo.descripcion }}</option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                    <div class="col-xs-6">
                        <div id ="groupIdentificacion" class="form-group">
                            <label class="control-label required">
                                Número de Identificación
                                <i style="color:red" class="asterisk">*</i>
                            </label>
                            <input type="text" id="paciente_archivo_numeroidentificacion" name="numeroidentificacion"
                                   class="input-sm buscarenter required upper form-control cedula"
                                   placeholder="Número Identificación">
                        </div>
                    </div>
                </fieldset>
            </div>

            <div class="row" id="div_nombreapellido">
                <fieldset class="scheduler-border">
                    <legend class="scheduler-border">
                        Por Nombre y Apellido
                    </legend>
                    <div class="col-xs-3">
                        <div class="form-group">
                            <label class="control-label">
                                Primer Nombre
                            </label>
                            <input type="text" id="paciente_archi_primernombre" name="primernombre"
                                   class="input-sm buscarenter upper alphaspace form-control"
                                   placeholder="Ingrese primer nombre" maxlength="50" minlength="2">
                        </div>
                    </div>
                    <div class="col-xs-3">
                        <div class="form-group">
                            <label class="control-label">
                                Segundo Nombre
                            </label>
                            <input type="text" id="paciente_archi_segundonombre" name="segundonombre"
                                   class="input-sm buscarenter upper alphaspace form-control"
                                   placeholder="Ingrese segundo nombre" maxlength="50" minlength="2">
                        </div>
                    </div>
                    <div class="col-xs-3">
                        <div class="form-group"><label class="control-label">
                                Primer Apellido
                            </label>
                            <input type="text" id="paciente_archi_apellidopaterno" name="apellidopaterno"
                                   class="input-sm buscarenter upper alphaspace form-control"
                                   placeholder="Ingrese primer apellido" maxlength="50" minlength="2">
                        </div>
                    </div>
                    <div class="col-xs-3">
                        <div class="form-group">
                            <label class="control-label">
                                Segundo Apellido
                            </label>
                            <input type="text" id="paciente_archi_apellidomaterno" name="apellidomaterno"
                                   class="input-sm buscarenter upper alphaspace form-control"
                                   placeholder="Ingrese segundo apellido" maxlength="50" minlength="2">
                        </div>
                    </div>
                </fieldset>
            </div>
        </div>
    </form>
</div>


<script type="application/javascript">

    var selector = "#archivo_datatable";
    var controlenter = 0;
    pressSpace($("#paciente_archi_primernombre"));
    pressSpace($("#paciente_archi_segundonombre"));
    pressSpace($("#paciente_archi_apellidopaterno"));
    pressSpace($("#paciente_archi_apellidomaterno"));

    $(function () {

        $('#div_nombreapellido').hide();
        $("#formPacienteArchivoBusqueda").initInputsForm().validationForm();
        $('.individual_filtering').parent().parent().addClass('hidden');
        $("#paciente_archivo_numeroidentificacion").focus();

    });

    $("#paciente_archivo_cttipoidentificacion").on('change', function () {
        var valor = $(this).val();
        controlenter = 0;

        if (valor == parseInt('{{ TIPOIDENTCEDULA }}')) {
            $("#paciente_archivo_numeroidentificacion").removeClass("upper")
                .removeClass("alphanumeric")
                .removeAttr("required minlength")
                .attr("maxlength", '{{ MAXIMO_CARACTERES_NACIONAL }}')
                .addClass("numeric cedula")
            ;
        }
        else if (valor == parseInt('{{ TIPOIDENTNOIDENTIFICADO }}')) {
            $("#paciente_archivo_numeroidentificacion").removeClass("upper")
                .removeClass("cedula").removeClass("numeric")
                .addClass("upper alphanumeric")
                .attr("maxlength", 17).attr("minlength", 17)
            ;
        }
        else {
            $("#paciente_archivo_numeroidentificacion").removeClass("cedula")
                .removeClass("cedula").removeClass("numeric")
                .addClass("upper alphanumeric")
                .attr("maxlength", '{{ MAXIMO_CARACTERES_EXTRANJERO }}')
                .attr("minlength", '{{ MINIMO_CARACTERES_EXTRANJERO }}')
            ;
        }

        $("#paciente_archivo_numeroidentificacion").val('');
        if (valor > 0) {
            $("#paciente_archivo_numeroidentificacion").attr('disabled', false);
            $("#paciente_archivo_numeroidentificacion").unbind().focus()
                .bind("keydown", function (e) {
                    pressEnter(e);
                });
            $("#formPacienteArchivoBusqueda").initInputsForm();

        } else {
            $("#paciente_archivo_numeroidentificacion").attr('disabled', true);
        }
    });

    function pressSpace(valor){
        valor.keydown(function (e) {
            if (e.keyCode == 32) {
                return false;
            }
            else{
                return true;
            }
        })
    }

    function pressEnter(e) {
        if (e.which === 13) {
            if (controlenter == 0) {
                controlenter = 1;
                e.preventDefault();
                searchPacienteArhciDatatable();
            }
        } else {
            controlenter = 0;
        }
    }

    function searchPacienteArhciDatatable() {
        if ($("#formPacienteArchivoBusqueda").valid()) {
            var campo_busqueda = $('#var_campo_busqueda').data("value");
            if (campo_busqueda == "nombreusuario") {
                var contador = 0;
                contador = ($("#paciente_archi_primernombre").val() != "") ? contador + 1 : contador;
                contador = ($("#paciente_archi_segundonombre").val() != "") ? contador + 1 : contador;
                contador = ($("#paciente_archi_apellidopaterno").val() != "") ? contador + 1 : contador;
                contador = ($("#paciente_archi_apellidomaterno").val() != "") ? contador + 1 : contador;
                if (contador < 2) {
                    $.alert("Es obligatorio llenar dos campos", "info");
                    $("#paciente_archi_primernombre").focus();
                    return false;
                }
            }
            $.processWait.show();

            setTimeout(function () {
                $(selector).DataTable()
                    .column('.tipoidentificacion_id').search($("#paciente_archivo_cttipoidentificacion").val())
                    .column('.numeroidentificacion').search($("#paciente_archivo_numeroidentificacion").val())
                    .column('.primernombre').search($("#paciente_archi_primernombre").val())
                    .column('.segundonombre').search($("#paciente_archi_segundonombre").val())
                    .column('.apellidopaterno').search($("#paciente_archi_apellidopaterno").val())
                    .column('.apellidomaterno').search($("#paciente_archi_apellidomaterno").val())
                    .draw();
            }, 100);

            $.processWait.hide();
        }
    }

    function clearsearchPacienteArhciDatatable() {
        setTimeout(function () {
            $(selector).DataTable()
                .search('')
                .columns().search('')
                .draw();
        }, 100);
        limpiarCamposBusqueda();
    }


    $('.buscarenter').keydown(function (e) {
        pressEnter(e);
    })

    function showDivBusqueda(obj) {
        var idcampo = obj.data('value');
        $('#var_campo_busqueda').text(obj.text());
        $('#var_campo_busqueda').data("value", idcampo);

        var datatable = $(selector).DataTable();
        switch (idcampo) {
            case 'nombreusuario':
                $('#div_nombreapellido').show();
                $('#div_tipoidentificacion').hide();
                $("#paciente_archi_primernombre").focus();
                $("#paciente_archivo_cttipoidentificacion").removeClass('required');
                $("#paciente_archivo_numeroidentificacion").removeClass('required');
                limpiarCamposBusqueda();
                break;
            case 'tipoidentificacion':
                $('#div_nombreapellido').hide();
                $('#div_tipoidentificacion').show();
                $("#paciente_archivo_cttipoidentificacion").addClass('required');
                $("#paciente_archivo_numeroidentificacion").addClass('required').focus();
                limpiarCamposBusqueda();
                $("#paciente_archivo_cttipoidentificacion").val('{{TIPOIDENTCEDULA}}');
                $("#paciente_archivo_cttipoidentificacion").change();
                break;
        }
    }

    function limpiarCamposBusqueda() {
        $("#paciente_archivo_cttipoidentificacion").val('');
        $("#paciente_archivo_numeroidentificacion").val('').attr('disabled', true);
        $("#paciente_archi_primernombre").val('');
        $("#paciente_archi_segundonombre").val('');
        $("#paciente_archi_apellidopaterno").val('');
        $("#paciente_archi_apellidomaterno").val('');
    }


</script>

<style>
    fieldset.scheduler-border {
        border: 1px groove #d5e3ef !important;
        padding: 0 1.4em 1.4em 1.4em !important;
        margin: 0 0 1.5em 0 !important;
        -webkit-box-shadow: 0px 0px 0px 0px #000;
        box-shadow: 0px 0px 0px 0px #000;
    }

    legend.scheduler-border {
        font-family: "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
        /*color: #0092e0;*/
        font-size: 14px;
        font-weight: lighter;
        text-align: left;
        width: auto;
        padding: 10px;
        margin-bottom: 0px;
        border-bottom: none;
    }
</style>
